summaryrefslogtreecommitdiff
path: root/openwrt/package/watchdog/files
diff options
context:
space:
mode:
authorNicolas Thill <nico@openwrt.org>2006-01-10 16:47:51 +0000
committerNicolas Thill <nico@openwrt.org>2006-01-10 16:47:51 +0000
commit4af2b84d99f772ad56910a194e9b2206858dcea6 (patch)
tree334320d922a336159cf16e8ece9511fd466a21df /openwrt/package/watchdog/files
parentbcf256e11bda1fa24bac30ba92fdcfba55d692d7 (diff)
downloadmtk-20170518-4af2b84d99f772ad56910a194e9b2206858dcea6.zip
mtk-20170518-4af2b84d99f772ad56910a194e9b2206858dcea6.tar.gz
mtk-20170518-4af2b84d99f772ad56910a194e9b2206858dcea6.tar.bz2
add watchdog package (thanks to Janos)
SVN-Revision: 2874
Diffstat (limited to 'openwrt/package/watchdog/files')
-rw-r--r--openwrt/package/watchdog/files/watchdog.init18
1 files changed, 18 insertions, 0 deletions
diff --git a/openwrt/package/watchdog/files/watchdog.init b/openwrt/package/watchdog/files/watchdog.init
new file mode 100644
index 0000000..8a45df9
--- /dev/null
+++ b/openwrt/package/watchdog/files/watchdog.init
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+RUN_D=/var/run
+PID_F=$RUN_D/watchdog.pid
+
+case $1 in
+ start)
+ /usr/sbin/watchdog
+ ;;
+ stop)
+ [ -f $PID_F ] && kill $(cat $PID_F) >/dev/null 2>&1
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?